[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TCustomDBGrid.DrawFixedText

Draws the fixed text at the specified row and column numbers.

## Declaration

Source position: dbgrids.pas line 447

`protected procedure TCustomDBGrid.DrawFixedText(`
`aCol: Integer;`
`aRow: Integer;`
`aRect: TRect;`
`aState: TGridDrawState`
`);`

## Arguments

`aCol` |  | Column number to draw.
`aRow` |  | Row number to draw.
`aRect` |  | Canvas rectangle for the drawing operation.
`aState` |  | Drawing state for the operation.

## Description

DrawFixedText is a procedure used to draw a fixed (or caption) cell at the specified row and column numbers. DrawFixedText calls the DrawIndicator method for the active record when aCol contains 0 (zero) and Options includes the value dgIndicator. Otherwise, the DrawColumnText method is called using the arguments passed to the method.

DrawFixedText is used in the implementation for the DefaultDrawCell method.